summaryrefslogtreecommitdiffstats
path: root/patches/source/seamonkey/seamonkey.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'patches/source/seamonkey/seamonkey.SlackBuild')
-rwxr-xr-xpatches/source/seamonkey/seamonkey.SlackBuild15
1 files changed, 7 insertions, 8 deletions
diff --git a/patches/source/seamonkey/seamonkey.SlackBuild b/patches/source/seamonkey/seamonkey.SlackBuild
index b2729b7ef..e9aeb81a1 100755
--- a/patches/source/seamonkey/seamonkey.SlackBuild
+++ b/patches/source/seamonkey/seamonkey.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2020, 2021 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2020, 2021, 2023 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -122,7 +122,8 @@ rm -rf seamonkey-${TARBALLVER}
rm -rf seamonkey-unpack
mkdir seamonkey-unpack
cd seamonkey-unpack
-tar xvf $CWD/seamonkey-${TARBALLVER}.source.tar.?z* || exit 1
+echo "Extracting $CWD/seamonkey-${TARBALLVER}.source.tar.?z..."
+tar xf $CWD/seamonkey-${TARBALLVER}.source.tar.?z || exit 1
mv * ..
cd ..
rm -rf seamonkey-unpack
@@ -136,6 +137,10 @@ if [ "$ARCH" = "i686" -a "$CC" = "gcc" ]; then
zcat $CWD/double_t.x86.diff.gz | patch -p1 --verbose || exit 1
fi
+# Getting a strange failure on only 32-bit Slackware 15.0.
+# Workaround kludge:
+zcat $CWD/skip.check_glibc.diff.gz | patch -p1 --verbose || exit 1
+
# Make sure the perms/ownerships are sane:
chown -R root:root .
find . \
@@ -148,7 +153,6 @@ find . \
OPTIONS="\
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
- --enable-cpp-rtti \
--enable-default-toolkit=cairo-gtk3 \
--enable-startup-notification \
--enable-alsa \
@@ -156,20 +160,15 @@ OPTIONS="\
--enable-linker=$LINKER \
--disable-strip \
--disable-install-strip \
- --disable-tests \
--disable-crashreporter \
- --disable-rust-simd \
--enable-accessibility \
$GOOGLE_API_KEY \
--disable-updater \
- --enable-chrome-format=omni \
--disable-necko-wifi \
--enable-js-shell \
$ELFHACK \
--enable-release \
--enable-calendar \
- --with-system-nss \
- --with-system-nspr \
--with-system-zlib \
--with-unsigned-addon-scopes=app,system \
--enable-application=comm/suite \